picocli

## Interface CommandLine.Help.IOptionRenderer

Enclosing class:
  CommandLine.Help

    public static interface CommandLine.Help.IOptionRenderer

When customizing online help for `Option` details, a custom `IOptionRenderer` can be used to create textual representation of an Option in a tabular format: one or more rows, each containing one or more columns. The `Layout` is responsible for placing these text values in the `TextTable`.

### Method Summary

Methods
`CommandLine.Help.Ansi.Text[][]` `render(CommandLine.Option option, java.lang.reflect.Field field, CommandLine.Help.IParamLabelRenderer parameterLabelRenderer, CommandLine.Help.ColorScheme scheme)` Returns a text representation of the specified Option and the Field that captures the option value.

### Method Detail

#### render

    CommandLine.Help.Ansi.Text[][] render(CommandLine.Option option,
                                        java.lang.reflect.Field field,
                                        CommandLine.Help.IParamLabelRenderer parameterLabelRenderer,
                                        CommandLine.Help.ColorScheme scheme)

Returns a text representation of the specified Option and the Field that captures the option value.

Parameters:
  `option` - the command line option to show online usage help for
  `field` - the field that will hold the value for the command line option
  `parameterLabelRenderer` - responsible for rendering option parameters to text
  `scheme` - color scheme for applying ansi color styles to options and option parameters
Returns:
  a 2-dimensional array of text values: one or more rows, each containing one or more columns